/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.csv.valueobject;

import java.util.List;

/**
 * 構造を保持します。
 */
public class BlancoCsvStructure {
    /**
     * フィールド [fileDefinitionId]
     *
     * 項目の型 [java.lang.String]<br>
     * ファイル定義ID
     */
    private String fFileDefinitionId;

    /**
     * フィールド [packageName]
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名
     */
    private String fPackageName;

    /**
     * フィールド [fileDescription]
     *
     * 項目の型 [java.lang.String]<br>
     * ファイルの説明。
     */
    private String fFileDescription;

    /**
     * フィールド [delimiter]
     *
     * 項目の型 [java.lang.String]<br>
     * デリミタを保持します。デリミタは、デリミタおよび任意指定デリミタから導き出されます。
     */
    private String fDelimiter;

    /**
     * フィールド [encoding]
     *
     * 項目の型 [java.lang.String]<br>
     * ファイルのエンコーディング。
     */
    private String fEncoding;

    /**
     * フィールド [titleRow]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["no title"]<br>
     * CSVファイルのタイトル行の状態
     */
    private String fTitleRow = "no title";

    /**
     * フィールド [runtimePackage]
     *
     * 項目の型 [java.lang.String]<br>
     * ランタイムクラスを生成する生成先を指定します。パッケージ名が確定された状態で格納されます。
     */
    private String fRuntimePackage;

    /**
     * フィールド [fieldList]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * フィールドのリスト。
     */
    private List fFieldList = new java.util.ArrayList();

    /**
     * フィールド [fileDefinitionId]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイル定義ID
     *
     * @param argFileDefinitionId フィールド[fileDefinitionId]に格納したい値
     */
    public void setFileDefinitionId(final String argFileDefinitionId) {
        fFileDefinitionId = argFileDefinitionId;
    }

    /**
     * フィールド[fileDefinitionId]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイル定義ID
     *
     * @return フィールド[fileDefinitionId]に格納されている値
     */
    public String getFileDefinitionId() {
        return fFileDefinitionId;
    }

    /**
     * フィールド [packageName]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名
     *
     * @param argPackageName フィールド[packageName]に格納したい値
     */
    public void setPackageName(final String argPackageName) {
        fPackageName = argPackageName;
    }

    /**
     * フィールド[packageName]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名
     *
     * @return フィールド[packageName]に格納されている値
     */
    public String getPackageName() {
        return fPackageName;
    }

    /**
     * フィールド [fileDescription]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイルの説明。
     *
     * @param argFileDescription フィールド[fileDescription]に格納したい値
     */
    public void setFileDescription(final String argFileDescription) {
        fFileDescription = argFileDescription;
    }

    /**
     * フィールド[fileDescription]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイルの説明。
     *
     * @return フィールド[fileDescription]に格納されている値
     */
    public String getFileDescription() {
        return fFileDescription;
    }

    /**
     * フィールド [delimiter]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * デリミタを保持します。デリミタは、デリミタおよび任意指定デリミタから導き出されます。
     *
     * @param argDelimiter フィールド[delimiter]に格納したい値
     */
    public void setDelimiter(final String argDelimiter) {
        fDelimiter = argDelimiter;
    }

    /**
     * フィールド[delimiter]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * デリミタを保持します。デリミタは、デリミタおよび任意指定デリミタから導き出されます。
     *
     * @return フィールド[delimiter]に格納されている値
     */
    public String getDelimiter() {
        return fDelimiter;
    }

    /**
     * フィールド [encoding]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイルのエンコーディング。
     *
     * @param argEncoding フィールド[encoding]に格納したい値
     */
    public void setEncoding(final String argEncoding) {
        fEncoding = argEncoding;
    }

    /**
     * フィールド[encoding]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイルのエンコーディング。
     *
     * @return フィールド[encoding]に格納されている値
     */
    public String getEncoding() {
        return fEncoding;
    }

    /**
     * フィールド [titleRow]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * CSVファイルのタイトル行の状態
     *
     * @param argTitleRow フィールド[titleRow]に格納したい値
     */
    public void setTitleRow(final String argTitleRow) {
        fTitleRow = argTitleRow;
    }

    /**
     * フィールド[titleRow]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["no title"]<br>
     * CSVファイルのタイトル行の状態
     *
     * @return フィールド[titleRow]に格納されている値
     */
    public String getTitleRow() {
        return fTitleRow;
    }

    /**
     * フィールド [runtimePackage]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ランタイムクラスを生成する生成先を指定します。パッケージ名が確定された状態で格納されます。
     *
     * @param argRuntimePackage フィールド[runtimePackage]に格納したい値
     */
    public void setRuntimePackage(final String argRuntimePackage) {
        fRuntimePackage = argRuntimePackage;
    }

    /**
     * フィールド[runtimePackage]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ランタイムクラスを生成する生成先を指定します。パッケージ名が確定された状態で格納されます。
     *
     * @return フィールド[runtimePackage]に格納されている値
     */
    public String getRuntimePackage() {
        return fRuntimePackage;
    }

    /**
     * フィールド [fieldList]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * フィールドのリスト。
     *
     * @param argFieldList フィールド[fieldList]に格納したい値
     */
    public void setFieldList(final List argFieldList) {
        fFieldList = argFieldList;
    }

    /**
     * フィールド[fieldList]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * フィールドのリスト。
     *
     * @return フィールド[fieldList]に格納されている値
     */
    public List getFieldList() {
        return fFieldList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.csv.valueobject.BlancoCsvStructure[");
        buf.append("fileDefinitionId=" + fFileDefinitionId);
        buf.append(",packageName=" + fPackageName);
        buf.append(",fileDescription=" + fFileDescription);
        buf.append(",delimiter=" + fDelimiter);
        buf.append(",encoding=" + fEncoding);
        buf.append(",titleRow=" + fTitleRow);
        buf.append(",runtimePackage=" + fRuntimePackage);
        buf.append(",fieldList=" + fFieldList);
        buf.append("]");
        return buf.toString();
    }
}
